<?php
/* {معرفة الآي دي  Auto Installer From alwi.hostwq.net " alwi.hostwq.net " */


// ######################## SET PHP ENVIRONMENT ###########################
error_reporting(E_ALL & ~E_NOTICE);

// ##################### DEFINE IMPORTANT CONSTANTS #######################
define('CVS_REVISION', '$RCSfile: ipalalawi.php,v $ - $Revision: 1.0 $');
define('NO_REGISTER_GLOBALS', 1);

// #################### PRE-CACHE TEMPLATES AND DATA ######################
$phrasegroups = array();
$specialtemplates = array();

require_once('./global.php');
require_once(DIR . '/includes/adminfunctions_template.php');

print_cp_header("vBIP Alalawi 1.0 Installation");

$DB = $db;


// #############################################################################
// Install Type
if ($_POST['do']==""){

		print_form_header('ipalalawi', 'stepone');
		print_table_header("vBip Alalawi 1.0 Installation");
		print_description_row("معرفة دولة ومنطقته زوار منتداك برقم الآي بي:برمجة؟ ::عبدالوهاب عبدالحي العلوي::<p>
		أضغط على  \"تطبيق الآن\" لتفعيل خيارات معرفة الآي بي.");
		print_submit_row("تطبيق الآن", 0);

}

// #############################################################################
// step 1
if($_POST['do'] == "stepone"){
require_once(DIR . '/includes/adminfunctions_template.php');
// +++++++++
// XML Temps
// +++++++++


	if (!($xml = file_read('./'.$vbulletin->datastore->registry->config[Misc][admincpdir].'/vbradio.xml')))
	{
	print_form_header('ipalalawi', 'stepone');
	print_table_header("vBIP Alalawi 1.0 Installation");
	print_description_row("عزيزي الفني المدير الموقع '".$vbulletin->datastore->registry->config[Misc][admincpdir]."' تم تركيب بنجاح والله الحمد فضلاً أغلق الصفحة وأذهب إلى لوحة التحكم الإدارة وسوف تجد قائمة معرفة الآي بي مع ألف شكر");
	} else {

	$All_Styles = $DB->query("select styleid from ".TABLE_PREFIX."style where parentid < 0"); // Grab master styles only

		while($SID = $DB->fetch_array($All_Styles)){
		$ID[] = $SID['styleid'];
		}

		foreach($ID as $StyleID){
		xml_import_style($xml, $StyleID, -1, '', 1);
		}

	define('NO_POST_EDITOR_BUILD', true);
	build_all_styles();


	print_form_header('ipalalawi', 'steptwo');
	print_table_header("vBIP Alalawi 1.0 Installation");
	print_description_row("تم تنصيب بنجاح ولله الحمد<br/>الرجاء أحذف ملف \"ipalalawi.php\" من لوحة التحكم  ،،، ");
	print_description_row("بسم الله<br/>أغلق صفحة حالية \وأذهب إلى لوحة التحكم\ الإدارة وسوف تحصل على خيارات معرفة الآي دي.");

}}